/*
	Author: James Sumners (james dot sumners AT gmail dot com)
	URL: http://james.roomfullofmirrors.com/
	License: Creative Commons 3.0 (NCSA)
		http://creativecommons.org/licenses/by-nc-sa/3.0/us/
	Attribution: Provide a name credit and link to URL above.
*/

#include "globals.h"

int write_debug(img_c **buffer, char file[]) {
	int i;
	FILE *debug_out;
	debug_out = fopen(file, "w");
	if (debug_out == NULL) 
			return DEBUG_OPEN_ERROR;

	for (i = 0; i < width*height; i++) {
		/*fprintf(debug_out, "%02x", (*buffer)[i]); hex out*/
		
		/* 512x512 decimal valued matrix */
		if (i%512 == 0) {
			fprintf(debug_out, "\n%03i ", (*buffer)[i]);
		} else {
			fprintf(debug_out, "%03i ", (*buffer)[i]);
		}
	}
	fclose(debug_out);
	
	return 0;
}

void print_error(int error_code) {
	switch (error_code) {
		case TIFF_OPEN_ERROR:
			printf("Could not open tiff!\n");
			break;
		case TIFF_READ_ERROR:
			printf("Could not read tiff!\n");
			break;
		case TIFF_WRITE_ERROR:
			printf("Could not open tiff for writing!\n");
			break;
		case TIFF_MEM_ERROR:
			printf("Could not allocate memory to store image data!\n");
			break;
		case DEBUG_OPEN_ERROR:
			printf("Could not open debug output file for writing!\n");
			break;
	}
}