/*
	Author: James Sumners (james dot sumners AT gmail dot com)
	URL: http://james.roomfullofmirrors.com/
	License: Creative Commons 3.0 (NCSA)
		http://creativecommons.org/licenses/by-nc-sa/3.0/us/
	Attribution: Provide a name credit and link to URL above.
*/

#ifndef __GLOBALS_H__
#define __GLOBALS_H__

/* Some app specific error codes. */
#define TIFF_OPEN_ERROR		1
#define TIFF_READ_ERROR		2
#define TIFF_WRITE_ERROR	3
#define TIFF_MEM_ERROR		4
#define DEBUG_OPEN_ERROR	5
/* Set to anything other than 0 to enable debug files. */
#define DEBUG				0

/* Define a datatype for the img buffer. */
typedef char img_c;
typedef float img_f;

/* Yes, I know. Globals = bad. Pfff! */
uint32 bufferSize;
uint32 width, height, spp;
uint16 photo, bpp, fillorder, rows_per_strip, compression, planar, orientation,
	   res_unit;
float xres, yres;

struct Zeros {
	int original_zeros;
	int original_nonzeros;
	int compressed_zeros;
	int compressed_nonzeros;
	int restored_zeros;
	int restored_nonzeros;
};

struct Zeros zeros = {0};

#endif